
# aj_captcha_flutter

flutter 滑动验证码与文字点击验证码组件

后端采用的是 https://github.com/anji-plus/captcha

## Getting Started



``` dart
 //项目启动时设置接口地址 
 AJCaptchaInit.init("http://127.0.0.1:80/");
 
 //调用实例
 void loadingBlockPuzzle(BuildContext buildContext,
      {barrierDismissible = true}) {
    showDialog<void>(
      context: buildContext,
      barrierDismissible: barrierDismissible,
      builder: (BuildContext buildContext) {
        return BlockPuzzleCaptchaPage(
          onSuccess: (v) {
            //成功回调（回调为加密后内容，依据项目而定）
            debugPrint(v.toString());
          },
          onFail: () {},
        );
      },
    );
  }`
``` 
## 类说明

BlockPuzzleCaptchaPage  滑动验证
  
ClickWordCaptcha        文字点击验证
## 效果图
![img.png](img.png)