import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:aj_captcha_flutter/aj_captcha_flutter_method_channel.dart';

void main() {
  MethodChannelAjCaptchaFlutter platform = MethodChannelAjCaptchaFlutter();
  const MethodChannel channel = MethodChannel('aj_captcha_flutter');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
